Install Java

You can use the following versions of Java with Incorta Analytics:

  • Java Development Kit (JDK) 8u144 or 8u171 and up. Incorta does not support Java SDK 1.8.0.151 through 1.8.0.171. Oracle may require you to create an account before you download the Java SDK.
  • OpenJDK 8
  • Oracle JDK 8
  • OpenJDK 11 if using Apache Spark 3

To configure your system with the proper Java version, use the following steps:

  1. Install a supported version of Java.
  2. Configure JAVA_HOME to point to your version of Java. JAVA_HOME must be configured before each Incorta installation on each Incorta node.
  3. Ensure that the Java executables are on the execution path. For example:

    export JAVA_HOME="<INSTALL_FOLDER>/java/jdk1.8.0_131"
    export PATH=$JAVA_HOME/bin:$PATH"

To check for the correct Java version, run:

java --version